# Class AnthropicModels

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Provides constants for the Anthropic models.

    public static class AnthropicModels

Inheritance
  object
  AnthropicModels

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Claude35Haiku20241022

The Claude 3.5 Haiku model.

    public const string Claude35Haiku20241022 = "claude-3-5-haiku-20241022"

#### Field Value

string

### Claude35HaikuLatest

The Claude 3.5 Haiku model.

    public const string Claude35HaikuLatest = "claude-3-5-haiku-latest"

#### Field Value

string

### Claude35Sonnet

The Claude 3.5 Sonnet model.

    public const string Claude35Sonnet = "claude-3-5-sonnet-20240620"

#### Field Value

string

### Claude35Sonnet20240620

The Claude 3.5 Sonnet model.

    public const string Claude35Sonnet20240620 = "claude-3-5-sonnet-20240620"

#### Field Value

string

### Claude35Sonnet20241022

The Claude 3.5 Sonnet model.

    public const string Claude35Sonnet20241022 = "claude-3-5-sonnet-20241022"

#### Field Value

string

### Claude35SonnetLatest

The Claude 3.5 Sonnet model.

    public const string Claude35SonnetLatest = "claude-3-5-sonnet-latest"

#### Field Value

string

### Claude37Sonnet20250219

The Claude 3 Sonnet model

    public const string Claude37Sonnet20250219 = "claude-3-7-sonnet-20250219"

#### Field Value

string

### Claude37SonnetLatest

The Claude 3 Sonnet model

    public const string Claude37SonnetLatest = "claude-3-7-sonnet-latest"

#### Field Value

string

### Claude3Haiku

The Claude 3 Haiku model.

    public const string Claude3Haiku = "claude-3-haiku-20240307"

#### Field Value

string

### Claude3Haiku20240307

The Claude 3 Haiku model.

    public const string Claude3Haiku20240307 = "claude-3-haiku-20240307"

#### Field Value

string

### Claude3Opus

The Claude 3 Opus model.

    public const string Claude3Opus = "claude-3-opus-20240229"

#### Field Value

string

### Claude3Opus20241022

The Claude 3 Opus model.

    public const string Claude3Opus20241022 = "claude-3-opus-20240229"

#### Field Value

string

### Claude3OpusLatest

The Claude 3 Opus model.

    public const string Claude3OpusLatest = "claude-3-opus-latest"

#### Field Value

string

### Claude3Sonnet

The Claude 3 Sonnet model.

    public const string Claude3Sonnet = "claude-3-sonnet-20240229"

#### Field Value

string

### Claude3Sonnet20240229

The Claude 3 Sonnet model.

    public const string Claude3Sonnet20240229 = "claude-3-sonnet-20240229"

#### Field Value

string

### ClaudeOpus40

The Claude 4 Opus model.

    public const string ClaudeOpus40 = "claude-opus-4-0"

#### Field Value

string

### ClaudeOpus420250514

The Claude 4 Opus model.

    public const string ClaudeOpus420250514 = "claude-opus-4-20250514"

#### Field Value

string

### ClaudeSonnet40

The Claude 4 Sonnet model.

    public const string ClaudeSonnet40 = "claude-sonnet-4-0"

#### Field Value

string

### ClaudeSonnet420250514

The Claude 4 Sonnet model.

    public const string ClaudeSonnet420250514 = "claude-sonnet-4-20250514"

#### Field Value

string